apiVersion: apps/v1
kind: Deployment
metadata:
  name: linkding
  labels:
    app.kubernetes.io/name: linkding
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: linkding
  template:
    metadata:
      labels:
        app.kubernetes.io/name: linkding
    spec:
      serviceAccountName: default
      containers:
        - name: linkding
          image: "sissbruecker/linkding:1.22.3"
          imagePullPolicy: IfNotPresent
          ports:
            - name: "http"
              containerPort: 9090
              protocol: "TCP"
          env:
            - name: "TZ"
              value: "UTC"
          volumeMounts:
            - name: storage-volume
              mountPath: /etc/linkding/data
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources: {}
      volumes:
        - name: storage-volume
          persistentVolumeClaim:
            claimName: linkding-storage
